Subject: Re: [QUESTION] Improving disk space recovery for partial clones (GSoC 2026)

From: Yuvraj Singh Chauhan <[email-masked]>
Date: Mon, 9 Mar 2026 19:52:10 +0530

On Mon, Mar 09, 2026 at 02:46:06PM +0100, Christian Couder wrote:
> Hi Yuvraj,
> 
> On Mon, Mar 9, 2026 at 1:14 PM Yuvraj Singh Chauhan <[email-masked]> wrote:
> >
> > Hi,
> >
> > I'm interested in working on the "Improve disk space recovery for partial clones" project.
> > I am studying the codebase, particularly promisor-remote.c, builtin/backfill.c,
> > and the partial clone documentation.
> 
> Thanks for your interest in Git and this project.
> 
> > I have a question to clarify the scope and direction of the project.
> > The project description mentions that git-backfill vs git-gc vs
> > git-repack vs git-maintenance is still undecided.
> > Has there been any recent discussion or consensus on this?
> > I want to make sure my proposal aligns with the community's direction.
> 
> I don't think that there is a consensus on this. It seems to me that
> someone said that git-backfill was likely not the best command for
> this, but I don't remember where and when this happened. It could have
> been in a private discussion.
> 
> Best.

So should I understand the all the different ways and create a document for the command
I think would be a good fit and why. And then the community can give their opinion on it?

sincerely,
Yuvraj